Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Interface ResourceCodec

    public interface ResourceCodec

Since:
  4.0
Author:
  Nick Belaevski

Method Summary
`java.lang.String` | `decodeLibraryName(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.Object` | `decodeResourceData(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.String` | `decodeResourceName(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.String` | `decodeResourceVersion(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.String` | `encodeJSFMapping(javax.faces.context.FacesContext context, java.lang.String resourcePath)`
`java.lang.String` | `encodeResourceRequestPath(javax.faces.context.FacesContext context, java.lang.String libraryName, java.lang.String resourceName, java.lang.Object resourceData, java.lang.String resourceVersion)`
`java.lang.String` | `getResourceKey(javax.faces.context.FacesContext context, java.lang.String requestPath)`

Method Detail

### encodeResourceRequestPath

    java.lang.String encodeResourceRequestPath(javax.faces.context.FacesContext context,
                                               java.lang.String libraryName,
                                               java.lang.String resourceName,
                                               java.lang.Object resourceData,
                                               java.lang.String resourceVersion)

### encodeJSFMapping

    java.lang.String encodeJSFMapping(javax.faces.context.FacesContext context,
                                      java.lang.String resourcePath)

### decodeResourceName

    java.lang.String decodeResourceName(javax.faces.context.FacesContext context,
                                        java.lang.String requestPath)

### decodeLibraryName

    java.lang.String decodeLibraryName(javax.faces.context.FacesContext context,
                                       java.lang.String requestPath)

### decodeResourceData

    java.lang.Object decodeResourceData(javax.faces.context.FacesContext context,
                                        java.lang.String requestPath)

### decodeResourceVersion

    java.lang.String decodeResourceVersion(javax.faces.context.FacesContext context,
                                           java.lang.String requestPath)

### getResourceKey

    java.lang.String getResourceKey(javax.faces.context.FacesContext context,
                                    java.lang.String requestPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.